Version 6.x.x Source

Table Name: `tabPeriod Closing Voucher`

### Fields

Sr | Fieldname | Type | Label | Options
--- | --- | --- | --- | ---
1 | `column_break0` | Column Break |  |
2 | `transaction_date` | Date | Transaction Date |
3 | `posting_date` | Date | Posting Date |
4 | `fiscal_year` | Link | Closing Fiscal Year | Fiscal Year
5 | `amended_from` | Link | Amended From | Period Closing Voucher
6 | `company` | Link | Company | Company
7 | `column_break1` | Column Break |  |
8 | `closing_account_head` | Link | Closing Account Head The account head under Liability, in which Profit/Loss will be booked | Account
9 | `remarks` | Small Text | Remarks |

### Controller

#### erpnext.accounts.doctype.period_closing_voucher.period_closing_voucher

### Class PeriodClosingVoucher

Inherits from erpnext.controllers.accounts_controller.AccountsController

get_pl_balances (self)

Get balance for pl accounts

make_gl_entries (self)

No docs

on_cancel (self)

No docs

on_submit (self)

No docs

validate (self)

No docs

validate_account_head (self)

No docs

validate_posting_date (self)

No docs

#### Linked In:

- Period Closing Voucher